Subject: Re: [PATCH net-next 04/13] genetlink: load policy based on validation flags

From: Jakub Kicinski <[email-masked]>
Date: Wed, 19 Oct 2022 12:49:32 -0700

On Wed, 19 Oct 2022 21:33:43 +0200 Johannes Berg wrote:
> > Do you mean that we no longer populate op->maxattr / op->policy and
> > some op may be reading those? I don't see any family code looking at
> > info->op.policy / maxattr.
> > 
> > First thing genl_family_rcv_msg_attrs_parse() does is:
> > 
> > 	if (!ops->maxattr)
> > 		return NULL;
> > 
> > So whether we skip it or call it - no difference.
> >   
> 
> Oh. I missed that, ok, thanks for clearing that up!

I'll put this info in the commit message, as requested.